org.jbpm.marshalling.impl

## Class JBPMMessages.ProcessTimer

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - org.jbpm.marshalling.impl.JBPMMessages.ProcessTimer

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, JBPMMessages.ProcessTimerOrBuilder
  Enclosing class:
    JBPMMessages

      public static final class JBPMMessages.ProcessTimer
      extends com.google.protobuf.GeneratedMessageV3
      implements JBPMMessages.ProcessTimerOrBuilder

  Protobuf type `org.jbpm.marshalling.ProcessTimer`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JBPMMessages.ProcessTimer.Builder` Protobuf type `org.jbpm.marshalling.ProcessTimer`
    `static class` | `JBPMMessages.ProcessTimer.TimerInstance` Protobuf type `org.jbpm.marshalling.ProcessTimer.TimerInstance`
    `static interface` | `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

      `com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.google.protobuf.Parser<JBPMMessages.ProcessTimer>` | `PARSER` Deprecated.
    `static int` | `TIMER_FIELD_NUMBER`
    `static int` | `TRIGGER_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessageV3

      `alwaysUseFieldBuilders, unknownFields`

    - ### Fields inherited from class com.google.protobuf.AbstractMessage

      `memoizedSize`

    - ### Fields inherited from class com.google.protobuf.AbstractMessageLite

      `memoizedHashCode`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `static JBPMMessages.ProcessTimer` | `getDefaultInstance()`
    `JBPMMessages.ProcessTimer` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Parser<JBPMMessages.ProcessTimer>` | `getParserForType()`
    `int` | `getSerializedSize()`
    `JBPMMessages.ProcessTimer.TimerInstance` | `getTimer()` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
    `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder` | `getTimerOrBuilder()` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
    `org.drools.core.marshalling.impl.ProtobufMessages.Trigger` | `getTrigger()` `optional .org.drools.core.marshalling.Trigger trigger = 2;`
    `org.drools.core.marshalling.impl.ProtobufMessages.TriggerOrBuilder` | `getTriggerOrBuilder()` `optional .org.drools.core.marshalling.Trigger trigger = 2;`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `int` | `hashCode()`
    `boolean` | `hasTimer()` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
    `boolean` | `hasTrigger()` `optional .org.drools.core.marshalling.Trigger trigger = 2;`
    `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static JBPMMessages.ProcessTimer.Builder` | `newBuilder()`
    `static JBPMMessages.ProcessTimer.Builder` | `newBuilder(JBPMMessages.ProcessTimer prototype)`
    `JBPMMessages.ProcessTimer.Builder` | `newBuilderForType()`
    `protected JBPMMessages.ProcessTimer.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
    `static JBPMMessages.ProcessTimer` | `parseDelimitedFrom(InputStream input)`
    `static JBPMMessages.ProcessTimer` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.ProcessTimer` | `parseFrom(byte[] data)`
    `static JBPMMessages.ProcessTimer` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.ProcessTimer` | `parseFrom(ByteBuffer data)`
    `static JBPMMessages.ProcessTimer` | `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.ProcessTimer` | `parseFrom(com.google.protobuf.ByteString data)`
    `static JBPMMessages.ProcessTimer` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.ProcessTimer` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static JBPMMessages.ProcessTimer` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.ProcessTimer` | `parseFrom(InputStream input)`
    `static JBPMMessages.ProcessTimer` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static com.google.protobuf.Parser<JBPMMessages.ProcessTimer>` | `parser()`
    `JBPMMessages.ProcessTimer.Builder` | `toBuilder()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3

      `canUseUnsafe, computeStringSize, computeStringSizeNoTag, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, newBuilderForType, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### TIMER_FIELD_NUMBER

          public static final int TIMER_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### TRIGGER_FIELD_NUMBER

          public static final int TRIGGER_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### PARSER

          @Deprecated
          public static final com.google.protobuf.Parser<JBPMMessages.ProcessTimer> PARSER

      Deprecated.

  - ### Method Detail

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

    - #### hasTimer

          public boolean hasTimer()

      `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
      Specified by:
        `hasTimer` in interface `JBPMMessages.ProcessTimerOrBuilder`

    - #### getTimer

          public JBPMMessages.ProcessTimer.TimerInstance getTimer()

      `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
      Specified by:
        `getTimer` in interface `JBPMMessages.ProcessTimerOrBuilder`

    - #### getTimerOrBuilder

          public JBPMMessages.ProcessTimer.TimerInstanceOrBuilder getTimerOrBuilder()

      `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
      Specified by:
        `getTimerOrBuilder` in interface `JBPMMessages.ProcessTimerOrBuilder`

    - #### hasTrigger

          public boolean hasTrigger()

      `optional .org.drools.core.marshalling.Trigger trigger = 2;`
      Specified by:
        `hasTrigger` in interface `JBPMMessages.ProcessTimerOrBuilder`

    - #### getTrigger

          public org.drools.core.marshalling.impl.ProtobufMessages.Trigger getTrigger()

      `optional .org.drools.core.marshalling.Trigger trigger = 2;`
      Specified by:
        `getTrigger` in interface `JBPMMessages.ProcessTimerOrBuilder`

    - #### getTriggerOrBuilder

          public org.drools.core.marshalling.impl.ProtobufMessages.TriggerOrBuilder getTriggerOrBuilder()

      `optional .org.drools.core.marshalling.Trigger trigger = 2;`
      Specified by:
        `getTriggerOrBuilder` in interface `JBPMMessages.ProcessTimerOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

    - #### equals

          public boolean equals(Object obj)

      Specified by:
        `equals` in interface `com.google.protobuf.Message`
      Overrides:
        `equals` in class `com.google.protobuf.AbstractMessage`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `com.google.protobuf.Message`
      Overrides:
        `hashCode` in class `com.google.protobuf.AbstractMessage`

    - #### parseFrom

          public static JBPMMessages.ProcessTimer parseFrom(ByteBuffer data)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessTimer parseFrom(ByteBuffer data,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessTimer parseFrom(com.google.protobuf.ByteString data)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessTimer parseFrom(com.google.protobuf.ByteString data,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessTimer parseFrom(byte[] data)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessTimer parseFrom(byte[] data,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessTimer parseFrom(InputStream input)
                                                     throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessTimer parseFrom(InputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.ProcessTimer parseDelimitedFrom(InputStream input)
                                                              throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.ProcessTimer parseDelimitedFrom(InputStream input,
                                                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                              throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessTimer parseFrom(com.google.protobuf.CodedInputStream input)
                                                     throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessTimer parseFrom(com.google.protobuf.CodedInputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws IOException

      Throws:
        `IOException`

    - #### newBuilderForType

          public JBPMMessages.ProcessTimer.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static JBPMMessages.ProcessTimer.Builder newBuilder()

    - #### newBuilder

          public static JBPMMessages.ProcessTimer.Builder newBuilder(JBPMMessages.ProcessTimer prototype)

    - #### toBuilder

          public JBPMMessages.ProcessTimer.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected JBPMMessages.ProcessTimer.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getDefaultInstance

          public static JBPMMessages.ProcessTimer getDefaultInstance()

    - #### parser

          public static com.google.protobuf.Parser<JBPMMessages.ProcessTimer> parser()

    - #### getParserForType

          public com.google.protobuf.Parser<JBPMMessages.ProcessTimer> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getDefaultInstanceForType

          public JBPMMessages.ProcessTimer getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.